.select {
	min-width: 200px;
	position: relative;
	z-index: 10000;
	border: 2px solid var(--c-grey);
	border-radius: 10px;

	transition: all 0.3s, border-radius 0s;
}

.select:hover {
	box-shadow: 0 0 15px var(--c-main_dark);
	border-color: var(--c-main_dark);
}

.select__open {
	border-bottom: 0;
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
	border-color: var(--c-main_dark);
}

.select__header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	gap: 30px;
	padding: 7px 15px;

	border-radius: 10px;
	background-color: var(--c-accent_dark);
	transition: 0.3s;
	transition: border 0s;
	cursor: pointer;
}

.select__open .select__header {
	border-bottom: 1px solid var(--c-grey);
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
}

.select__header-icon {
	color: var(--c-grey);
	transition: 0.3s;
}

.select__open .select__header-icon {
	transform: rotate(-180deg);
}

.select__body {
	position: absolute;
	left: -2px;
	z-index: 10000;
	display: none;
	width: 100%;

	overflow: hidden;
	border: 2px solid var(--c-grey);
	border-radius: 10px;
	background-color: var(--c-accent_dark);
}

.select__open .select__body {
	display: block;
	border-color: var(--c-main_dark);

	border-top: 0;
	border-top-left-radius: 0;
	border-top-right-radius: 0;
}

.select__item {
	padding: 15px;

	cursor: pointer;
	transition: 0.3s;
}

.select__item:hover {
	background-color: var(--c-bg);
}

.select__item:not(:last-child) {
	border-bottom: 1px solid var(--c-grey);
}
